/* SPDX-License-Identifier: BSD-3-Clause
 * Copyright(c) 2023 Napatech A/S
 */

#ifndef __FLOW_FILTER_HPP__
#define __FLOW_FILTER_HPP__
#undef USE_OPAE

#include "nthw_fpga_model.h"
#include "flow_api.h"

int FlowFilterInit(nthw_fpga_t* pFpga, struct flow_nic_dev** pFlowDevice, int adapterNo);
int FlowFilterDone(struct flow_nic_dev *dev);

#endif /* __FLOW_FILTER_HPP__ */
