/* SPDX-License-Identifier: BSD-3-Clause
 * Copyright(c) 2023 Napatech A/S
 */

#ifndef __NTOS_SYSTEM_H__
#define __NTOS_SYSTEM_H__

#include "include/ntdrv_4ga.h"

/*
 * struct Drv_s for DPDK (clone of kernel struct)
 * keep it as close as possible to original kernel struct
 */
struct Drv_s
{
	int adapterNo;
	struct rte_pci_device* pDev;
	struct Ntdrv_4ga_s ntdrv;

	int nEthDevInitCount;
	int probe_finished;
};

#endif /* __NTOS_SYSTEM_H__ */
